## org.eclipse.m2m.qvt.oml.ocl.legacy.libraries
Class EmfToolsLibrary

    java.lang.Object
      org.eclipse.m2m.qvt.oml.ocl.legacy.libraries.EmfToolsLibrary

    public class EmfToolsLibrary

extends java.lang.Object

Nested Class Summary
`static class` `EmfToolsLibrary.Metainfo`

Constructor Summary
`EmfToolsLibrary()`

Method Summary
`org.eclipse.emf.ecore.EObject` `asEObject(java.lang.Object self)`
`java.lang.Integer` `currentTimeMillis()`
`org.eclipse.emf.ecore.EDataType` `getDataTypeInstance(java.lang.String nsURI, java.lang.String dataTypeName)`
`java.lang.String` `getDetails(org.eclipse.emf.ecore.EAnnotation self, java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmfToolsLibrary

    public EmfToolsLibrary()

Method Detail

### getDataTypeInstance

    public org.eclipse.emf.ecore.EDataType getDataTypeInstance(java.lang.String nsURI,
                                                               java.lang.String dataTypeName)

### getDetails

    public java.lang.String getDetails(org.eclipse.emf.ecore.EAnnotation self,
                                       java.lang.String key)

### asEObject

    public org.eclipse.emf.ecore.EObject asEObject(java.lang.Object self)

### currentTimeMillis

    public java.lang.Integer currentTimeMillis()

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.